package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireDeviceE;

import javax.validation.constraints.NotEmpty;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-11-26 10:12:34
 */
public interface FireDeviceGateway {

    /**
     * 新增
     */
    Boolean add(FireDeviceE fireDeviceE);

    /**
     * 修改
     */
    Boolean update(FireDeviceE fireDeviceE);

    /**
     * 删除
     */
    Boolean deletedFireDeviceById(Long id);

    Boolean deletedFireDeviceByIds(Long[] id);

}

